import React from 'react';
import { Svg } from '../Svg';
export var Navigation = function Navigation(_ref) {
  var items = _ref.items,
      Brand = _ref.Brand,
      _ref$home = _ref.home,
      home = _ref$home === void 0 ? '/' : _ref$home,
      className = _ref.className,
      style = _ref.style;
  return React.createElement("nav", {
    className: "navbar navbar-expand-lg navbar-light bg-transparent ".concat(className),
    style: style
  }, React.createElement("ul", {
    className: "navbar-nav mr-auto"
  }, items.map(function (item, i) {
    return React.createElement("li", {
      className: "nav-item active",
      key: item.id || i
    }, React.createElement("a", {
      className: "nav-link",
      href: item.link
    }, item.title));
  })), React.createElement("a", {
    className: "navbar-brand mr-0",
    href: "#home"
  }, React.createElement(Svg, {
    Svg: Brand,
    fill: "black",
    link: home
  })));
};